# clean_junk.sh
#!/bin/bash

# Use your health check url
HEALTHCHECK_URL="https://healthchecks.io/ping/{uuid}"

cd /root/docker/mailcow-dockerized || exit 1

curl --retry 3 "$HEALTHCHECK_URL/start" || exit 1

/usr/local/bin/docker-compose exec dovecot-mailcow doveadm expunge -A mailbox 'Junk' savedbefore 2w || exit 1
/usr/local/bin/docker-compose exec dovecot-mailcow doveadm expunge -A mailbox 'Junk' SEEN not SINCE 12h || exit 1
/usr/local/bin/docker-compose exec dovecot-mailcow doveadm expunge -A mailbox 'Deleted Messages' savedbefore 2w || exit 1
/usr/local/bin/docker-compose exec dovecot-mailcow doveadm expunge -A mailbox 'Trash' savedbefore 2w || exit 1

curl --retry 3 "$HEALTHCHECK_URL" || exit 1
